function cost_mat = cost_matrix_no_region(x,y)
    n_timestamps_1 = length(x);
    n_timestamps_2 = length(y);
    
    cost_mat = zeros(n_timestamps_1, n_timestamps_2);
    for j = 1:n_timestamps_2
        for i = 1:n_timestamps_1
            cost_mat(i, j) = norm(x(:,i) - y(:,j));
        end
    end
end

